<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>ch.post.it.evoting</groupId>
		<artifactId>evoting-dependencies</artifactId>
		<version>1.4.4.4</version>
		<relativePath>../../evoting-dependencies/pom.xml</relativePath>
	</parent>

	<groupId>ch.post.it.evoting.tools</groupId>
	<artifactId>file-cryptor</artifactId>
	<name>File Cryptor</name>

	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>ch.post.it.evoting.cryptoprimitives</groupId>
			<artifactId>crypto-primitives</artifactId>
		</dependency>

		<dependency>
			<groupId>ch.post.it.evoting.evotinglibraries</groupId>
			<artifactId>e-voting-libraries-domain</artifactId>
		</dependency>

		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
		</dependency>

		<!-- org.junit.jupiter -->
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter-api</artifactId>
			<scope>test</scope>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<!-- Use PropertiesLauncher to load additional classpath -->
					<layout>ZIP</layout>
					<mainClass>ch.post.it.evoting.tools.FileCryptorApplication</mainClass>
					<classifier>runnable</classifier>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>ch.galinet</groupId>
				<artifactId>reproducible-build-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>
</project>
